﻿/**Begin D:\PDM_UPGRADE\PDM1\SOEFAM_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_FILINGPER' AND KSQL_INDNAME = 'IDX_SOEFAM_FILINGPER_MANORG') CREATE INDEX IDX_SOEFAM_FILINGPER_MANORG ON T_SOEFAM_FILINGPER ( FPRIMANAGEORGID );

 EXEC P_ALTERPK 'PK_SOEFAM_FILPERMANORG', 'T_SOEFAM_FILPERMANORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_FILPERMANORG' AND KSQL_INDNAME = 'IDX_SOEFAM_FILPERMANORG') CREATE INDEX IDX_SOEFAM_FILPERMANORG ON T_SOEFAM_FILPERMANORG ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEORGENTRY', 'T_SOEFAM_MANSPEORGENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEORGENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEORGENTRY') CREATE INDEX IDX_SOEFAM_MANSPEORGENTRY ON T_SOEFAM_MANSPEORGENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPELEVELDATA', 'T_SOEFAM_MANSPELEVELDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPELEVELDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPELEVELDATA') CREATE INDEX IDX_SOEFAM_MANSPELEVELDATA ON T_SOEFAM_MANSPELEVELDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANORGRANGE_L', 'T_SOEFAM_MANORGRANGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANORGRANGE_L' AND KSQL_INDNAME = 'IDX_SOEFAM_MANORGRANGE_L') CREATE INDEX IDX_SOEFAM_MANORGRANGE_L ON T_SOEFAM_MANORGRANGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANCADTYPEDATA', 'T_SOEFAM_MANCADTYPEDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADTYPEDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANCADTYPEDATA') CREATE INDEX IDX_SOEFAM_MANCADTYPEDATA ON T_SOEFAM_MANCADTYPEDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEENTRY_L', 'T_SOEFAM_MANSPEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEENTRY_L' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEENTRY_L') CREATE INDEX IDX_SOEFAM_MANSPEENTRY_L ON T_SOEFAM_MANSPEENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEPOSTENTRY', 'T_SOEFAM_MANSPEPOSTENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEPOSTENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEPOSTENTRY') CREATE INDEX IDX_SOEFAM_MANSPEPOSTENTRY ON T_SOEFAM_MANSPEPOSTENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPESTPOSTDATA', 'T_SOEFAM_MANSPESTPOSTDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPESTPOSTDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPESTPOSTDATA') CREATE INDEX IDX_SOEFAM_MANSPESTPOSTDATA ON T_SOEFAM_MANSPESTPOSTDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANCADORGENTRY', 'T_SOEFAM_MANCADORGENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADORGENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANCADORGENTRY') CREATE INDEX IDX_SOEFAM_MANCADORGENTRY ON T_SOEFAM_MANCADORGENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEJOBDATA', 'T_SOEFAM_MANSPEJOBDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEJOBDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEJOBDATA') CREATE INDEX IDX_SOEFAM_MANSPEJOBDATA ON T_SOEFAM_MANSPEJOBDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANCADENTRY', 'T_SOEFAM_MANCADENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANCADENTRY') CREATE INDEX IDX_SOEFAM_MANCADENTRY ON T_SOEFAM_MANCADENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEENTRY', 'T_SOEFAM_MANSPEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEENTRY') CREATE INDEX IDX_SOEFAM_MANSPEENTRY ON T_SOEFAM_MANSPEENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEGRADEDATA', 'T_SOEFAM_MANSPEGRADEDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEGRADEDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEGRADEDATA') CREATE INDEX IDX_SOEFAM_MANSPEGRADEDATA ON T_SOEFAM_MANSPEGRADEDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANORGRANGE', 'T_SOEFAM_MANORGRANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANORGRANGE' AND KSQL_INDNAME = 'IDX_SOEFAM_MANORGRANGE') CREATE INDEX IDX_SOEFAM_MANORGRANGE ON T_SOEFAM_MANORGRANGE ( FMANAGEORGID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANSPEPOSTDATA', 'T_SOEFAM_MANSPEPOSTDATA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEPOSTDATA' AND KSQL_INDNAME = 'IDX_SOEFAM_MANSPEPOSTDATA') CREATE INDEX IDX_SOEFAM_MANSPEPOSTDATA ON T_SOEFAM_MANSPEPOSTDATA ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANCADENTRY_L', 'T_SOEFAM_MANCADENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADENTRY_L' AND KSQL_INDNAME = 'IDX_SOEFAM_MANCADENTRY_L') CREATE INDEX IDX_SOEFAM_MANCADENTRY_L ON T_SOEFAM_MANCADENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEFAM_MANCADTYPEENTRY', 'T_SOEFAM_MANCADTYPEENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADTYPEENTRY' AND KSQL_INDNAME = 'IDX_SOEFAM_MANCADTYPEENTRY') CREATE INDEX IDX_SOEFAM_MANCADTYPEENTRY ON T_SOEFAM_MANCADTYPEENTRY ( FENTRYID );



/**End D:\PDM_UPGRADE\PDM1\SOEFAM_constraint.sql **/
