﻿/**Begin D:\PDM_UPGRADE\PDM1\SOEFAM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEFAM_FILINGPER' AND KSQL_COL_NAME ='FPRIMANAGEORGID')
 ALTER TABLE T_SOEFAM_FILINGPER ADD (FPRIMANAGEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEFAM_CERTIFICATE' AND KSQL_COL_NAME ='FMANAGEORGID') 
 ALTER TABLE T_SOEFAM_CERTIFICATE ADD (FMANAGEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_FILPERMANORG')
 CREATE TABLE T_SOEFAM_FILPERMANORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEORGENTRY')
 CREATE TABLE T_SOEFAM_MANSPEORGENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSPECIALADMORGID BIGINT DEFAULT 0 NOT NULL,
FSPECIALINCLUDESUB CHAR(1) DEFAULT '0' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPELEVELDATA')
 CREATE TABLE T_SOEFAM_MANSPELEVELDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANORGRANGE_L')
 CREATE TABLE T_SOEFAM_MANORGRANGE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADTYPEDATA')
 CREATE TABLE T_SOEFAM_MANCADTYPEDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEENTRY_L')
 CREATE TABLE T_SOEFAM_MANSPEENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FSPECIALGROUPNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSPECIALGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEPOSTENTRY')
 CREATE TABLE T_SOEFAM_MANSPEPOSTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOSITIONTYPENOLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FJOBLEVELNOLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FJOBGRADENOLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FCOMBOFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPESTPOSTDATA')
 CREATE TABLE T_SOEFAM_MANSPESTPOSTDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADORGENTRY')
 CREATE TABLE T_SOEFAM_MANCADORGENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCADREADMORGID BIGINT DEFAULT 0 NOT NULL,
FCADREINCLUDESUB CHAR(1) DEFAULT '0' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEJOBDATA')
 CREATE TABLE T_SOEFAM_MANSPEJOBDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADENTRY')
 CREATE TABLE T_SOEFAM_MANCADENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCADREGROUPNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCADREGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEENTRY')
 CREATE TABLE T_SOEFAM_MANSPEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSPECIALGROUPNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSPECIALGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEGRADEDATA')
 CREATE TABLE T_SOEFAM_MANSPEGRADEDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANORGRANGE')
 CREATE TABLE T_SOEFAM_MANORGRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTROLCLASS VARCHAR(10) DEFAULT ' ' NOT NULL,
FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANSPEPOSTDATA')
 CREATE TABLE T_SOEFAM_MANSPEPOSTDATA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADENTRY_L')
 CREATE TABLE T_SOEFAM_MANCADENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCADREGROUPNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCADREGROUPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEFAM_MANCADTYPEENTRY')
 CREATE TABLE T_SOEFAM_MANCADTYPEENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCADRENOLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SOEFAM_table.sql **/
